(* Coq definitions for native types.
 * 20010726, jtb: started *)

Require Extraction.

(* For our purposes, strings are a completely abstract type. *)
Axiom string : Set.
Extract Constant string => string.

(* We will use the usual polymorphic lists.
   documentation says you need to declare these constructors
   in your ocaml code... *)
Require PolyList.
ML Import Inductive list [nil cons] ==
  Inductive list [A:Set] : Set :=
    nil : (list A)
  | cons : A -> (list A) -> (list A).




